id: wordpress-translatepress-multilingual

info:
  name: Translate Multilingual sites – TranslatePress Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/translatepress-multilingual/
  metadata:
    plugin_namespace: translatepress-multilingual
    wpscan: https://wpscan.com/plugin/translatepress-multilingual
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/translatepress-multilingual/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/translatepress-multilingual.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502210084563645dd57919d87158f8038f816f729c345a8d33303ee0715151571d1c64002201a5bedd61ab3d983401e6d4b357de063aa0c1be61e338bbfdb55a3dd4cd5689d:922c64590222798bb761d5b6d8e72950